HttpDelete (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.methods
Class HttpDelete

    java.lang.Object
      org.apache.http.message.AbstractHttpMessage
          org.apache.http.client.methods.AbstractExecutionAwareRequest
              org.apache.http.client.methods.HttpRequestBase
                  org.apache.http.client.methods.HttpDelete

All Implemented Interfaces:
  Cloneable, AbortableHttpRequest, Configurable, HttpExecutionAware, HttpUriRequest, org.apache.http.HttpMessage, org.apache.http.HttpRequest

    public class HttpDelete

extends HttpRequestBase

HTTP DELETE method

The HTTP DELETE method is defined in section 9.7 of RFC2616:

> The DELETE method requests that the origin server delete the resource identified by the Request-URI. [...] The client cannot be guaranteed that the operation has been carried out, even if the status code returned from the origin server indicates that the action has been completed successfully.

Since:
  4.0

Field Summary
`static String` | `METHOD_NAME`

Fields inherited from class org.apache.http.message.AbstractHttpMessage
`headergroup, params`

Constructor Summary
`HttpDelete()`
`HttpDelete(String uri)`
`HttpDelete(URI uri)`

Method Summary
`String` | `getMethod()` Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

Methods inherited from class org.apache.http.client.methods.HttpRequestBase
`getConfig, getProtocolVersion, getRequestLine, getURI, releaseConnection, setConfig, setProtocolVersion, setURI, started, toString`

Methods inherited from class org.apache.http.client.methods.AbstractExecutionAwareRequest
`abort, clone, completed, isAborted, reset, setCancellable, setConnectionRequest, setReleaseTrigger`

Methods inherited from class org.apache.http.message.AbstractHttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.http.client.methods.HttpUriRequest
`abort, isAborted`

Methods inherited from interface org.apache.http.HttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Field Detail

### METHOD_NAME

    public static final String METHOD_NAME

See Also:
  Constant Field Values

Constructor Detail

### HttpDelete

    public HttpDelete()

### HttpDelete

    public HttpDelete(URI uri)

### HttpDelete

    public HttpDelete(String uri)

Throws:
  `IllegalArgumentException` - if the uri is invalid.

Method Detail

### getMethod

    public String getMethod()

  Description copied from interface: `HttpUriRequest`
  Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

  Specified by:
    `getMethod` in interface `HttpUriRequest`
  Specified by:
    `getMethod` in class `HttpRequestBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.